# Toastie.Collections

Defines the following collection types:

- **RendedArray\<T>**
    - Wrapper for an array rented from a `System.Buffers.ArrayPool<T>`.
- **RingBuffer\<T>**
    - Represents a fixed-size collection of **T** objects that can be accessed by index. Writing always moves forward and, when it hits the end of the buffer, it starts writing from the beginning, overwriting old data.
